#!/usr/bin/python3
# Jednosměrné spojové seznamy s předáváním na konec

import sys

class MyNode:
    def __init__(self, x):
        # Každy prvek si pamatuje hodnotu a následníka
        self.value = x
        self.next = None

class MyList:
    def __init__(self):
        # Seznam si pamatuje odkaz na svůj první a poslední prvek
        self.first = None
        self.last = None

    def append(self, x):
        """Zapojí prvek se zadanou hodnotu na konec seznamu."""
        n = MyNode(x)
        if self.last:
            self.last.next = n
        else:
            self.first = n
        self.last = n

    def print(self):
        n = self.first
        while n:
            print(n.value)
            n = n.next

l = MyList()
for a in sys.stdin:
    l.append(int(a))

l.print()
